aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/i-data-usage.sh
diff options
context:
space:
mode:
authorMarkus Uhlin <markus@nifty-networks.net>2023-12-22 21:34:06 +0100
committerMarkus Uhlin <markus@nifty-networks.net>2023-12-22 21:34:06 +0100
commit41699f31cae133fe14f7712a0c64341a304853c5 (patch)
tree5434c393f7cdf0b9339a70b64889d2e66e9d9fbc /scripts/i-data-usage.sh
parent2cad497741f77ca72ef0096aff78a239af19889c (diff)
i-data-usage.sh -- initial revision
Diffstat (limited to 'scripts/i-data-usage.sh')
-rwxr-xr-xscripts/i-data-usage.sh131
1 files changed, 131 insertions, 0 deletions
diff --git a/scripts/i-data-usage.sh b/scripts/i-data-usage.sh
new file mode 100755
index 0000000..a29951b
--- /dev/null
+++ b/scripts/i-data-usage.sh
@@ -0,0 +1,131 @@
+#!/bin/sh
+# SPDX-FileCopyrightText: 2023 Markus Uhlin <maxxe@rpblc.net>
+# SPDX-License-Identifier: ISC
+
+i_data_usage () {
+ local _src_prefix _dest _files
+
+ _src_prefix=${1}
+ _dest=${2}
+
+ _files="
+abort
+accept
+addlist
+adjourn
+alias
+allobservers
+assess
+backward
+bell
+best
+boards
+censor
+channel
+clearmessages
+cshout
+date
+decline
+draw
+eco
+examine
+finger
+flag
+flip
+forward
+games
+goboard
+gonum
+handles
+hbest
+history
+hrank
+inchannel
+it
+kibitz
+limits
+llogons
+logons
+mailhelp
+mailmess
+mailmoves
+mailoldmoves
+mailsource
+mailstored
+match
+messages
+mexamine
+moretime
+moves
+news
+next
+notify
+observe
+oldmoves
+open
+password
+pause
+pending
+promote
+quit
+rank
+refresh
+resign
+revert
+say
+set
+shout
+showlist
+simabort
+simadjourn
+simallabort
+simalladjourn
+simgames
+simmatch
+simnext
+simopen
+simpass
+simprev
+smoves
+sposition
+statistics
+stored
+style
+sublist
+switch
+takeback
+tell
+time
+unalias
+uncensor
+unexamine
+unnotify
+unobserve
+unpause
+uptime
+variables
+whisper
+who
+withdraw
+xtell
+znotify
+"
+
+ echo "installing..."
+
+ for file in ${_files}; do
+ printf "%s -> %s: " "${_src_prefix}/${file}" "${_dest}/${file}"
+ if [ -r "${_src_prefix}/${file}" ]; then
+ install -m 0644 "${_src_prefix}/${file}" "${_dest}"
+ if [ $? -eq 0 ]; then
+ echo "ok"
+ else
+ echo "error"
+ fi
+ else
+ echo "not found"
+ fi
+ done
+}
+
+i_data_usage "${1}" "${2}"